require 'mina/ssh/version'
require 'mina'

require 'ostruct'

module Mina
  module Ssh
    STAGES_DIR = 'config/deploy'.freeze

    def connect!
      user = variable.name
      domain = variable.domain

      exec("ssh #{user}@#{domain}")
    end

    module_function :connect!

    def load_environment_config(environment)
      load "#{STAGES_DIR}/#{environment}.rb"
    end

    module_function :load_environment_config

    private

      def variable
        @variable ||= OpenStruct.new(Mina::Configuration.instance.variables)
      end

      module_function :variable
  end
end
